Bug 154226 - Add links to documentation websites in on-line Help
Summary: Add links to documentation websites in on-line Help
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:25.2.0 target:24.8.0.0.beta2
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2023-03-16 11:51 UTC by Olivier Hallot
Modified: 2024-06-19 13:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup for additional menu in on-line Help. (40.41 KB, image/png)
2023-03-16 11:51 UTC, Olivier Hallot
Details
seems to be plenty of room on Help's rightS SB (27.98 KB, image/png)
2023-03-16 17:28 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2023-03-16 11:51:10 UTC
Created attachment 185995 [details]
Mockup for additional menu in on-line Help.

Exclusive (or not) to the online instance of the Help, add a menu with links to several other documentation websites for LibreOffice, but within the TDF realm.

LibreOffice Help menu already has links to external documentation (Help - User Guides)

Mockup is in the image attached (modulo CSS polishing)
Comment 1 V Stuart Foote 2023-03-16 15:39:02 UTC
+1, and maybe include the ask.libreoffice.org support ("Get help online" from the Help menu) there as well?
Comment 2 Adolfo Jayme Barrientos 2023-03-16 16:52:36 UTC
The sidebar is already too crowded in typical 1366×768 laptop screens. Those links could be at the footer.
Comment 3 V Stuart Foote 2023-03-16 17:28:58 UTC
Created attachment 186010 [details]
seems to be plenty of room on Help's rightS SB
Comment 4 Heiko Tietze 2023-03-17 09:59:37 UTC
I wonder if the new Documentation section would be sticky. Meaning if Contents become expanded will it still be on the bottom of the sidebar or do I have to scroll down?

If it stay, what I would prefer, we do not have too much space. The idea with ask.libo is pretty nice, in particular if we could offer a list of questions asked about the current topic. "User Guides" and "Wiki" is quite generic - and could be also placed on the top. Or we provide a link to the right chapter.
Comment 5 Adolfo Jayme Barrientos 2023-03-17 14:39:57 UTC
(In reply to V Stuart Foote from comment #3)
> Created attachment 186010 [details]
> seems to be plenty of room on Help's rightS SB

Your screen is wider than 1366, Stuart. It doesn’t apply in that case. You could zoom in or resize down your window and see what happens
Comment 6 V Stuart Foote 2023-03-17 15:05:36 UTC
OK if I adjust display to 1280 x 768, for display (or browsers) narrower than ~1575px, the javascript/css positions the Contents to top of the left SB folded and placed above the Index search.

With scrollbar adding additional help links would have no impact positioned below the Contents and above the Index search bar.

Do not see a down side to the additional links when kept grouped below the Contents elements.
Comment 7 Heiko Tietze 2023-03-28 10:07:57 UTC
No further opinion, removing UX keyword.

Reasonable enhancement idea, could be done at the sidebar but maybe also in the header. Link to ask.libo should be considered too.

Ultimately I wonder if this modification of the website is a topic for Bugzilla.
Comment 8 Commit Notification 2024-06-17 20:37:52 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/4c8b04c8d9d3a2367bb3205b852f2d7b75082f90

tdf#154226 Add link to LO books on Help pages
Comment 9 Commit Notification 2024-06-19 13:45:42 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-24-8":

https://git.libreoffice.org/help/commit/b80910b523d23afe7d4bb6c59a443eb429003faf

tdf#154226 Add link to LO books on Help pages